var Partikkelit = function(){
    PartBase.call(this);

    //POSTPROCESSING
    this.setBloom(0.5);

    var geometry = new THREE.Geometry();
    for (var i = 0; i < 800; i++) {

          var particle = new THREE.Vector3();
          particle.x = Math.random() * 400 - 200;
          particle.y = Math.random() * 500 - 250;
          particle.z = Math.random() * 800 - 400;

          geometry.vertices.push(particle);
    }

    var material = new THREE.PointsMaterial({map : TDEMO.TEXTURES.getTextures().sydan, size : 1, transparent : true});
    //var geometry = new THREE.BoxGeometry(40, 40, 40, 40, 40, 40);

    this.points = new THREE.Points(geometry, material);
    this.scene.add(this.points);
};

Partikkelit.prototype = PartBase.prototype.inheritance();

Partikkelit.prototype.animate = function(elapsedTime, delta){
    PartBase.prototype.animate.call(this, elapsedTime, delta);

    var rot = TDEMO.SYNC.getObjRotation();
    this.points.rotation.x = rot.x;
    this.points.rotation.x = rot.y;
    this.points.rotation.x = rot.z;
};
